Debian Bug report logs - #580759
libwoodstox-java: new upstream version 4.0.8 has been released

version graph

Package: libwoodstox-java; Maintainer for libwoodstox-java is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for libwoodstox-java is src:libwoodstox-java.

Reported by: Torsten Werner <twerner@debian.org>

Date: Sat, 8 May 2010 10:54:01 UTC

Severity: wishlist

Found in version 1:3.9.2.dfsg-2

Fixed in version libwoodstox-java/1:4.1.2-1

Done: Giovanni Mascellani <gio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, twerner@debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#580759; Package libwoodstox-java. (Sat, 08 May 2010 10:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <twerner@debian.org>:
New Bug report received and forwarded. Copy sent to twerner@debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 08 May 2010 10:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libwoodstox-java: new upstream version 4.0.8 has been released
Date: Sat, 8 May 2010 12:51:09 +0200
Package: libwoodstox-java
Version: 1:3.9.2.dfsg-2
Severity: wishlist

Hi,

please package the current upstream version.

Thanks,
Torsten




Added blocking bug(s) of 580759: 612440 Request was from Giovanni Mascellani <gio@debian.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 14:45:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#580759; Package libwoodstox-java. (Sun, 21 Aug 2011 10:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <gio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 21 Aug 2011 10:36:04 GMT) Full text and rfc822 format available.

Message #12 received at 580759@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: Vincent Fourmond <fourmond@debian.org>
Cc: 580759@bugs.debian.org
Subject: New upstream preview package
Date: Sun, 21 Aug 2011 12:33:27 +0200
[Message part 1 (text/plain, inline)]
Hi Vincent.

I'm working on packaging the new upstream release of libwoodstox. Most
of the work is already done and available on the SVN. For your
convenience, I also put a copy here:

http://poisson.phc.unipi.it/~mascellani/unstable/libwoodstox-java_4.1.1-1.dsc

http://poisson.phc.unipi.it/~mascellani/unstable/libwoodstox-java_4.1.1-1_all.deb

Some things still are left: for example, updating debian/copyright.
Moreover, some tests fail at the moment. The preview above is compiled
ignoring tests failures, but I plan to get in touch with the upstream
author to clear out the problem.

Could you try if freecol still compiles and work with the new package?
There is just one caveat: the name of the tarball has changed, because
of some changes in the maven POM files (wstx-lgpl.jar ->
woodstox-core-lgpl.jar). It shouldn't be a big problem, but if you want
I can add a backward compatibility link.

Would you mind if I added myself as Uploader for libwoodstox-java?

Thanks, Giovanni.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#580759; Package libwoodstox-java. (Mon, 10 Oct 2011 07:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <gio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 10 Oct 2011 07:42:03 GMT) Full text and rfc822 format available.

Message #17 received at 580759@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: Vincent Fourmond <fourmond@debian.org>
Cc: 580759@bugs.debian.org
Subject: Re: New upstream preview package
Date: Mon, 10 Oct 2011 09:33:17 +0200
[Message part 1 (text/plain, inline)]
Hi Vincent.

Any news about new libwoodstox upstream version? I can work on it, as
long as you check that I'm not breaking freecol.

Thanks, Gio.

On 21/08/2011 12:33, Giovanni Mascellani wrote:
> Hi Vincent.
> 
> I'm working on packaging the new upstream release of libwoodstox. Most
> of the work is already done and available on the SVN. For your
> convenience, I also put a copy here:
> 
> http://poisson.phc.unipi.it/~mascellani/unstable/libwoodstox-java_4.1.1-1.dsc
> 
> http://poisson.phc.unipi.it/~mascellani/unstable/libwoodstox-java_4.1.1-1_all.deb
> 
> Some things still are left: for example, updating debian/copyright.
> Moreover, some tests fail at the moment. The preview above is compiled
> ignoring tests failures, but I plan to get in touch with the upstream
> author to clear out the problem.
> 
> Could you try if freecol still compiles and work with the new package?
> There is just one caveat: the name of the tarball has changed, because
> of some changes in the maven POM files (wstx-lgpl.jar ->
> woodstox-core-lgpl.jar). It shouldn't be a big problem, but if you want
> I can add a backward compatibility link.
> 
> Would you mind if I added myself as Uploader for libwoodstox-java?
> 
> Thanks, Giovanni.


-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#580759; Package libwoodstox-java. (Thu, 01 Dec 2011 17:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 01 Dec 2011 17:39:06 GMT) Full text and rfc822 format available.

Message #22 received at 580759@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: Giovanni Mascellani <gio@debian.org>
Cc: 580759@bugs.debian.org
Subject: New version for libwoodstox-java
Date: Thu, 1 Dec 2011 18:33:57 +0100
[Message part 1 (text/plain, inline)]
Ciao Gio,

a new version of osmosis (0.40) has been released, and it needs woodstox 4.1.2.
I see this bug has stalled for a while, do you have any plans on releasing
a newer woodstox in Debian? :)

Thanks,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Added blocking bug(s) of 580759: 650745 Request was from Giovanni Mascellani <gio@debian.org> to control@bugs.debian.org. (Fri, 02 Dec 2011 15:15:05 GMT) Full text and rfc822 format available.

Reply sent to Giovanni Mascellani <gio@debian.org>:
You have taken responsibility. (Wed, 11 Jan 2012 17:06:05 GMT) Full text and rfc822 format available.

Notification sent to Torsten Werner <twerner@debian.org>:
Bug acknowledged by developer. (Wed, 11 Jan 2012 17:06:05 GMT) Full text and rfc822 format available.

Message #29 received at 580759-close@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: 580759-close@bugs.debian.org
Subject: Bug#580759: fixed in libwoodstox-java 1:4.1.2-1
Date: Wed, 11 Jan 2012 17:02:57 +0000
Source: libwoodstox-java
Source-Version: 1:4.1.2-1

We believe that the bug you reported is fixed in the latest version of
libwoodstox-java, which is due to be installed in the Debian FTP archive:

libwoodstox-java_4.1.2-1.debian.tar.gz
  to main/libw/libwoodstox-java/libwoodstox-java_4.1.2-1.debian.tar.gz
libwoodstox-java_4.1.2-1.dsc
  to main/libw/libwoodstox-java/libwoodstox-java_4.1.2-1.dsc
libwoodstox-java_4.1.2-1_all.deb
  to main/libw/libwoodstox-java/libwoodstox-java_4.1.2-1_all.deb
libwoodstox-java_4.1.2.orig.tar.gz
  to main/libw/libwoodstox-java/libwoodstox-java_4.1.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580759@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giovanni Mascellani <gio@debian.org> (supplier of updated libwoodstox-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 11 Jan 2012 15:25:07 +0100
Source: libwoodstox-java
Binary: libwoodstox-java
Architecture: source all
Version: 1:4.1.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Giovanni Mascellani <gio@debian.org>
Description: 
 libwoodstox-java - High-performance XML processor
Closes: 580759
Changes: 
 libwoodstox-java (1:4.1.2-1) unstable; urgency=low
 .
   * New upstream release (closes: #580759).
   * Add myself as uploader and removing Vincent, who is not interested
     anymore in maintaining the package.
Checksums-Sha1: 
 e60350802555bbffbdce3a86c3ae7479c4f17cf5 1612 libwoodstox-java_4.1.2-1.dsc
 ecddc68ccff8ea2e5bcf65b43b997feb84a6dad7 642006 libwoodstox-java_4.1.2.orig.tar.gz
 453a673556cd19c656978c5a3fab2aa44cdb283a 5961 libwoodstox-java_4.1.2-1.debian.tar.gz
 fd5c7bfc53c3f0f8bbaa45ba803d42f0665d12b7 484670 libwoodstox-java_4.1.2-1_all.deb
Checksums-Sha256: 
 25323f495f84e10a6f98288c72e2c44ead92ae4e6f4a859c6d2ce13adf468247 1612 libwoodstox-java_4.1.2-1.dsc
 91e33fe84126ef90258d3a7d5470bdb3eb93b46eff57273ad36cee0db790d690 642006 libwoodstox-java_4.1.2.orig.tar.gz
 075851735825ed5e83daeefece9d64fbf5e068d5360b3d596b11457bca4b5c36 5961 libwoodstox-java_4.1.2-1.debian.tar.gz
 fca28418973a93ed0a3235c8024f6a0c87a4164a785d74bcc6dd4046ca90b26a 484670 libwoodstox-java_4.1.2-1_all.deb
Files: 
 686ef41343be3e4111d3625b4d0eb394 1612 java optional libwoodstox-java_4.1.2-1.dsc
 64d62d167ce7bfd674d5174a3e9ec2ae 642006 java optional libwoodstox-java_4.1.2.orig.tar.gz
 44f4a2ca47b513664c43d94c618908d3 5961 java optional libwoodstox-java_4.1.2-1.debian.tar.gz
 f189298843325c29d826e4976142ecef 484670 java optional libwoodstox-java_4.1.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iF4EAREKAAYFAk8NvoAACgkQBIoTAU7n/+P6EgEAq8ZHNPiITOix78q8aiwAbpn0
AJSTb1dfEnC7g5+yVBQA/1PDzzUrHSpBxPhdIxHsMiSW9krDBAHXuPXo8h8W8XOr
=EZ8b
-----END PGP SIGNATURE-----





Removed blocking bug(s) of 580759: 650745 Request was from Giovanni Mascellani <gio@debian.org> to control@bugs.debian.org. (Wed, 11 Jan 2012 17:09:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Feb 2012 07:38:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:12:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.